### Method

# AppStream ContentRating get_rating_ids

since: 0.12.10

#### Declaration [src]

    const gchar**
    as_content_rating_get_rating_ids (
      AsContentRating* content_rating
    )

#### Description [src]

Gets the set of ratings IDs which are present in this `content_rating`. An example of a ratings ID is `violence-bloodshed`.

The IDs are returned in lexicographical order.

Available since: 0.12.10

#### Return value

Type: An array of `utf8`

`NULL`-terminated array of ratings IDs; each ratings ID is owned by the `AsContentRating` and must not be freed, but the container must be freed with `g_free()`

The array is `NULL`-terminated.
The caller of the method takes ownership of the data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.